vim.api.nvim_create_autocmd("TextYankPost", { -- highlight yanked characters
    callback = function()
        vim.highlight.on_yank({ timeout = 250 })
    end
})

-- resize splits if window got resized
vim.api.nvim_create_autocmd({ "VimResized" }, {
    callback = function()
        vim.cmd("tabdo wincmd =")
    end,
})


vim.api.nvim_create_autocmd("FileType", { -- close some filetypes with <q>
    pattern = {
        "help",
        "man",
        "notify",
        "lspinfo",
        "startuptime",
        "tsplayground",
    },
    callback = function(event)
        vim.bo[event.buf].buflisted = false
        vim.keymap.set("n", "q", "<cmd>quit<cr>", { buffer = event.buf, silent = true })
    end,
})


vim.api.nvim_create_autocmd("FileType", { -- text formats
    pattern = { "gitcommit", "markdown", "norg", },
    callback = function()
        vim.opt_local.wrap = true
        vim.opt_local.spell = true
    end,
})
